## symbiosis-cron 0424

=== debian/changelog ===
symbiosis-cron (2017:0424) stable; urgency=medium

  * Updated copyright, compat. 

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Mon, 24 Apr 2017 15:45:21 +0100

symbiosis-cron (2015:1103) stable; urgency=medium

  * Now follows cron specs accurately when both month day and weekday fields
    are specifically set, combining them with "or" rather than "and". 

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Tue, 03 Nov 2015 12:53:11 +0000

symbiosis-cron (2015:0825) stable; urgency=medium

  * @reboot crontabs are now explicitly not supported.
  * symbiosis-all-crontabs wrapper is now built with hardened flags.
  * symbiosis-all-crontabs wrapper no longer ignores chdir return value.

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Tue, 25 Aug 2015 11:52:07 +0100

symbiosis-cron (2015:0618) stable; urgency=medium

  * Updated File#exists? to File#exist?
  * Symlinked crontabs should now work.
  * Updated maintainers + uploaders. 

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Wed, 17 Jun 2015 10:36:52 +0100

symbiosis-cron (2015:0128) stable; urgency=low

  * Updated Debian standards.

 -- Steve Kemp <steve@bytemark.co.uk>  Wed, 28 Jan 2015 10:00:01 +0000

symbiosis-cron (2014:0124) stable; urgency=low

  * Updated bug reporting mechanism.
  * Fixed bug whereby records involving weekdays would not get shown
    correctly during test mode.
  * Fixed stat of domain directories and crontab files to make sure symlinks
    are skipped.
  * Removed DH_VERBOSE flag from rules.

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Fri, 14 Feb 2014 13:08:04 +0000

symbiosis-cron (2014:0113) stable; urgency=low

  * Updated maintainer and uploaders.

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Mon, 13 Jan 2014 17:02:27 +0000

symbiosis-cron (2012:0327) stable; urgency=low

  * Fixed Symbiosis to be a module rather than a class in symbiosis/crontab.
  * Fixed typedef in crontab-wrapper.

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Tue, 27 Mar 2012 11:25:40 +0100

symbiosis-cron (2012:0320) stable; urgency=low

  * Fixed symbiosis-all-crontabs to fork and exec properly.
  * Fixed symbiosis-all-crontabs setuid/gid rather than use su.
  * Fixed cron library to parse @hourly (etc) shortcuts properly.
  * Test is now installed to /etc/symbiosis/test.d.
  * Checked wrapper with valgrind for badness.

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Tue, 20 Mar 2012 16:09:23 +0000

symbiosis-cron (2012:0222) stable; urgency=low

  * Updated copyright and documentation links.

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Wed, 22 Feb 2012 14:06:42 +0000

symbiosis-cron (2012:0208) stable; urgency=low

  * Updated Symbiosis::Crontab API docs.

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Tue, 07 Feb 2012 13:47:53 +0000

symbiosis-cron (2012:0201) stable; urgency=low

  * Updated scripts to specify ruby1.8

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Fri, 27 Jan 2012 11:44:55 +0000

symbiosis-cron (2012:0124) stable; urgency=low

  * Added check in wrapper to make sure /srv/domain is a directory, not a
    symlink or file.
  * Updated makefile to have a test target
  * Added a basic help message to symbiois-crontab script

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Tue, 17 Jan 2012 16:32:33 +0000

symbiosis-cron (2011:1026) stable; urgency=low

  * Fixed --test to finish in a finite amount of time
  * Added more tests.

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Wed, 26 Oct 2011 10:48:20 +0100

symbiosis-cron (2010:0914) stable; urgency=low

  * Added makefile to build packages
  * Added ruby script to process crontabs
  * Fixed copyright file
  * Extracted crontab code to ruby library
  * Added manpage
  * Added test suite
  * Renamed c wrapper script

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Tue, 14 Sep 2010 21:48:37 +0100

symbiosis-cron (2010:0617) stable; urgency=low

  * Initial release.

 -- Steve Kemp <steve@bytemark.co.uk>  Thu, 17 Jun 2010 11:44:11 +0000

## symbiosis-cron 425~14538.20102df7

=== debian/changelog ===
symbiosis-cron (2017:425~14538.20102df7) stable; urgency=medium

  **** SNAPSHOT BUILD ****

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Thu, 7 Sep 2017 17:08:41 +0100

symbiosis-cron (2015:1104) stable; urgency=medium

  * Fix bug in --test mode where the NEVER would be shown in certain
    circumstances.  Closes #77.

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Wed, 07 Jun 2017 16:28:20 +0100

## symbiosis-cron 425~49660.a8d7752c

=== debian/changelog ===
symbiosis-cron (2017:425~49660.a8d7752c) stable; urgency=medium

  **** SNAPSHOT BUILD ****

 -- Andrew Ladlow <andrew.ladlow@bytemark.co.uk>  Sun, 17 Jun 2018 12:24:52 +0100

## symbiosis-cron 425~52695.0c2ad822

=== Makefile ===


#
# Set up build flags
#
CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)

all: binary man

clean:
	$(RM) wrapper/symbiosis-all-crontabs
	$(RM) man/*.man

binary: wrapper/symbiosis-all-crontabs

man: man/symbiosis-all-crontabs.man man/symbiosis-crontab.man

wrapper/symbiosis-all-crontabs:	wrapper/symbiosis-all-crontabs.c
	$(CC) $(CPPFLAGS) $(CFLAGS) $(LDFLAGS) -o $@ $<

%.man: %.txt
	txt2man -s 1 -t $(basename $(notdir $<)) $< | sed -e 's/\\\\fB/\\fB/' > $@

test:
	cd test && ruby -I ../lib tc_crontab.rb

.PHONY: binary clean man all test

=== debian/changelog ===
symbiosis-cron (2017:425~52695.0c2ad822) stable; urgency=medium

  **** SNAPSHOT BUILD ****

 -- Paul Cammish <paul.cammish@bytemark.co.uk>  Mon, 9 Jul 2018 16:00:34 +0100

=== debian/control ===
Source: symbiosis-cron
Section: admin
Priority: extra
Maintainer: James Carter <jcarter@bytemark.co.uk>
Uploaders: Patrick J Cherry <patrick@bytemark.co.uk>, Steve Kemp <steve@bytemark.co.uk>
Build-Depends: debhelper (>= 7.0.0),  txt2man, gem2deb
Standards-Version: 3.9.6
XS-Ruby-Versions: all

Package: symbiosis-cron
Architecture: any
Depends: ruby, cron, ${shlibs:Depends}, ${misc:Depends}
Description: Provide per-domain crontab support
 This package provides a setuid wrapper script which allows each hosted
 domain to have crontab entries, executed as the appropriate domain owner.

=== debian/rules ===
#!/usr/bin/make -f
#
# export DH_VERBOSE=1
#
# Uncomment to ignore all test failures (but the tests will run anyway)
#export DH_RUBY_IGNORE_TESTS=all
#
#
# Uncomment to ignore some test failures (but the tests will run anyway).
# Valid values:
#export DH_RUBY_IGNORE_TESTS=ruby1.8 ruby1.9.1 require-rubygems
#
# If you need to specify the .gemspec (eg there is more than one)
#export DH_RUBY_GEMSPEC=gem.gemspec

%:
	dh $@ --buildsystem=ruby --with ruby

override_dh_auto_build:
	$(MAKE) all


override_dh_auto_clean:
	$(MAKE) clean

## symbiosis-cron 425~54184.02c711bd

=== debian/changelog ===
symbiosis-cron (2017:425~54184.02c711bd) stable; urgency=medium

  **** SNAPSHOT BUILD ****

 -- Andrew Ladlow <andrew.ladlow@bytemark.co.uk>  Fri, 20 Jul 2018 13:57:46 +0100

## symbiosis-cron 425~54732.b4154fb6

=== debian/changelog ===
symbiosis-cron (2017:425~54732.b4154fb6) stable; urgency=medium

  **** SNAPSHOT BUILD ****

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Tue, 24 Jul 2018 17:03:55 +0100

## symbiosis-cron 425~58535.cf57fe77

=== debian/changelog ===
symbiosis-cron (2017:425~58535.cf57fe77) stable; urgency=medium

  **** SNAPSHOT BUILD ****

 -- Paul Cammish <paul.cammish@bytemark.co.uk>  Mon, 20 Aug 2018 12:15:56 +0100
